<?php
date_default_timezone_set('Asia/Kolkata');

use CodeIgniter\Router\RouteCollection;

/**
 * @var RouteCollection $routes
 */
$routes->get('/', 'Home::index');
$routes->get('/index', 'Home::index');

$routes->post('/cms', 'Home::CMSCall');

$routes->post('/rlogin-action', 'Home::ReactLoginAction');
$routes->post('/rmobile-number-check-unique', 'Home::ReactMobileNumberCheckUnique');
$routes->post('/otp-send', 'Home::ReactOTPSend');
$routes->post('/otp-verify', 'Home::ReactOTPVerfiy');
$routes->post('/final-register', 'Home::FinalRegister');
$routes->post('/order-history','Home::OrderHistory');
$routes->post('/password-change-action','Home::PasswordChange');
$routes->post('/change-type-of-admission-action','Home::ChangeTypeofAdminission');

$routes->post('/login-action', 'Login::AllLogin');
$routes->get('/paynow/(:any)/(:any)', 'Payment::Index/$1/$2');
$routes->post('/ccavenue-cancel', 'Payment::CcavenueCancelled');
$routes->post('/ccavenue-response', 'Payment::CcavenueResponse');
$routes->post('/ccavenue-request-handler','Payment::PaymentRequestSend');

$routes->get('/draftstudentdelete', 'Cron::DraftStudentDelete');

$routes->get('/php', 'Pdf::Phpversion');
$routes->get('/pdfsample', 'Pdf::SampleCreate');


$routes->post('/mail-send', 'Mail::MailSend');

$routes->get('/icicipaymentlinkcreate', 'ICICIPayments::ICICIPaymentLinkCreate');
$routes->post('/sms-send', 'Sms::SmsSend');


$routes->post('/laptop-pending-student', 'Laptop::PendingList');
$routes->post('/student-details', 'Laptop::StudentDetails');
$routes->post('/student-action', 'Laptop::StudentAction');
$routes->post('/laptop-rejected-student', 'Laptop::RejectedList');
$routes->post('/laptop-approved-student', 'Laptop::ConfirmList');


$routes->post('/excel-generate', 'Excel::Create');



//Start :: FIRC 
$routes->post('/firc/login-action', 'Firc::ReactLoginAction');
$routes->post('/firc/billing-upload', 'Firc::billingFileUpload');
$routes->post('/firc/billing-list', 'Firc::billingList');
$routes->get('/firc/excelread/(:any)', 'Firc::excelRead/$1');
$routes->post('/firc/company', 'Firc::getCompany');
$routes->post('/firc/company-wise-customer', 'Firc::getCustomerCompanyWise');
$routes->post('/firc/get-billing-result', 'Firc::getBillingResult');

//End :: FIRC